2005-10-20 11:18  emostar

	* src/icqd-srv.cpp: If a user goes offline, set their typing status
	  to inactive.

2005-10-15 14:46  emostar

	* README: Some doc prep..

2005-10-15 14:39  emostar

	* doc/README-1.3.0: Save the old 1.3.0 readme

2005-10-15 09:55  emostar

	* upgrade/upgrade-1.3.2.sh: adios mi amigo!

2005-10-15 09:55  emostar

	* upgrade/upgrade-1.3.2.pl: We need to use Perl for the proper
	  string processing.

2005-10-14 15:02  emostar

	* upgrade/upgrade-1.3.2.sh: remove testing dir

2005-10-14 14:51  emostar

	* upgrade/upgrade-1.3.2.sh: If the nick had a / in it, it went to
	  hell.  Use awk instead of sed.

2005-10-13 22:18  emostar

	* upgrade/upgrade-1.3.2.sh: Upgrade script for people that don't
	  have aliases being saved in utf-8

2005-10-13 13:27  emostar

	* plugins/qt-gui/src/mainwin.cpp: This is too ugly to be the
	  default..

2005-10-13 13:09  emostar

	* include/licq_translate.h, src/icqd-srv.cpp, src/translate.cpp:
	  Save the alias as UTF-8 after an update.

2005-10-08 00:21  emostar

	* plugins/qt-gui/po/be.po: New translation: Belarussian by
	  Алексей Вар'ят

2005-10-07 16:34  emostar

	* src/icqpacket.cpp: Send our real length with direct auto replies.

2005-10-07 14:02  emostar

	* src/: icqd-srv.cpp, icqpacket.cpp: Don't call ToUnicode, we now
	  require the Alias to be given to the daemon in UTF8 by the
	  plugins, otherwise it will be in the user's locale... which might
	  not always be right. The qt-gui has already been completely
	  updated, so there should be no issues. If there are some nicks
	  you can't read, click update from server in their info, if it
	  sitll doesn't appear correctly, manually type it in and then
	  click save.

2005-10-07 13:22  emostar

	* plugins/qt-gui/src/userinfodlg.cpp: Missed this one.

2005-10-06 14:25  emostar

	* plugins/qt-gui/src/userinfodlg.cpp: Need to use the user's
	  encoding to show their about info correctly.	Patch by Varjat at
	  SF.

2005-10-06 14:20  emostar

	* plugins/qt-gui/src/: authuserdlg.cpp, awaymsgdlg.cpp,
	  ewidgets.cpp, forwarddlg.cpp, keyrequestdlg.cpp, mainwin.cpp,
	  mmsenddlg.cpp, refusedlg.cpp, showawaymsgdlg.cpp,
	  usereventdlg.cpp, userinfodlg.cpp: Convert the aliases from the
	  user's codec, to UTF8. I think I got all of them..

2005-10-04 21:43  dreamforce2

	* plugins/qt-gui/po/de.po: updated german translation

2005-10-04 15:00  emostar

	* plugins/qt-gui/src/userinfodlg.cpp: Try this way...

2005-10-04 14:04  emostar

	* plugins/qt-gui/src/mainwin.cpp: Had a missing parameter, so it
	  showed up funny sometimes..

2005-10-04 13:47  emostar

	* plugins/qt-gui/src/licqgui.cpp: Give preference to
	  LC_ALL->LC_MESSAGES->LANG in that order for the locale.

2005-10-04 12:32  emostar

	* plugins/qt-gui/src/userbox.cpp: The alias is always in UTF8, so
	  let the gui show it correctly.  Please verify this works... I
	  need help with UTF8 and encodings, I usually don't have to worry
	  about this so I'm not sure how well it works with other
	  locales/encodings/environments.

2005-10-03 10:33  emostar

	* src/icqd-srv.cpp: Dont remove the person from the ignore list
	  when we remove the user form the list, as this is part of the
	  process to add them to the ignore list!

2005-10-03 03:06  phatfil

	* plugins/licqweb/push.php: whoops. do kses on users nicks
	  properly.

2005-10-03 02:47  phatfil

	* plugins/licqweb/: push.php, rms.php: fix kses input filtering on
	  contacts nicks

2005-10-03 01:04  phatfil

	* plugins/licqweb/rms.php: allow <font> tags in messages

2005-10-01 11:08  emostar

	* src/translate.cpp: Use iconv, it caused a problem if the current
	  locale wasnt in ascii.

2005-10-01 07:14  phatfil

	* plugins/licqweb/: CHANGELOG, TODO, kses.php: modified kses.php
	  slightly so that html tags that aren't allowed are now shown as
	  plain text (instead of removing the whole tag + text)

2005-10-01 06:45  phatfil

	* plugins/licqweb/: CHANGELOG, TODO, index.php, licqweb.css,
	  licqweb.js: fix displaying return characters in sent messages fix
	  some indentation

2005-09-30 18:14  emostar

	* include/licq_file.h, src/file.cpp, src/sar.cpp: Don't overwrite
	  any bufs if we have pass the length.

2005-09-30 07:03  emostar

	* plugins/console/src/: console.cpp, console_tab.cpp: Fix a crash
	  of the console plugin crashing if you hit tab too many times
	  without typeing anything.

	  If we expect a user, and the user hits tab without enteryting
	  anything, show all users. This might suck..

2005-09-29 23:25  emostar

	* plugins/licqweb/TODO: Update

2005-09-29 22:43  emostar

	* plugins/licqweb/: index.php, licqweb.js, images/aim.away.png,
	  images/aim.offline.png, images/aim.online.png: * Add the aim
	  images.  * Show aim icons for aim users.  * Hide the news after
	  we login.

2005-09-29 13:42  emostar

	* plugins/qt-gui/src/chatdlg.cpp: Fix a few strings

2005-09-29 03:15  emostar

	* plugins/licqweb/index.html: Don't need this anymore.

2005-09-29 03:14  emostar

	* plugins/licqweb/: index.php, licqweb.css: Change the index page
	  to php and add a news file.  Look at the source to see where to
	  edit the file when there is new news.  All project members should
	  have write access to this file by tonight..

2005-09-28 02:52  emostar

	* plugins/msn/src/msn-ssl.cpp: Needed for strndup

2005-09-27 14:37  emostar

	* plugins/console/src/Makefile.am: Hack to make sure we get the cdk
	  headers. Next version will have a proper check in configure.in

2005-09-27 13:16  emostar

	* plugins/qt-gui/src/mainwin.cpp: Go from (Away) -> (NA) or any
	  other status while retaining invisibility

2005-09-24 01:07  phatfil

	* plugins/console/src/console_menu.cpp: fix getting contact when a
	  protocol is specified by the user with extra command arguments

2005-09-23 10:25  emostar

	* plugins/qt-gui/src/mainwin.cpp: And a fix for when we have no
	  protocol plugins loaded

2005-09-23 08:28  phatfil

	* plugins/licqweb/: CHANGELOG, README, TODO: updated CHANGELOG
	  README TODO

2005-09-23 08:27  phatfil

	* plugins/licqweb/: rms.php, sendMessage.php: - make use of event
	  ids from rms - send back timestamp when sending messages

2005-09-23 08:26  phatfil

	* plugins/licqweb/licqweb.js: - fix scrolling issues and bug
	  (mozilla bug?) where contact windows would annoyingly scroll up
	  and any text you were typing would disappear - use timestamps
	  from server for sending messages (since timestamps for receiving
	  messages are from server)

2005-09-23 04:53  emostar

	* plugins/msn/configure.in: Don't give any optimization flags to
	  gcc4

2005-09-22 22:39  emostar

	* plugins/qt-gui/src/wharf.cpp: Make sure to move it off of the
	  screen... still a temp fix.

2005-09-22 22:19  emostar

	* src/icqpacket.cpp: Patch by Tuomas Jaakola to fix the last byte
	  being dropped with direct connections.

2005-09-22 21:44  emostar

	* src/icqd-threads.cpp: If we send to their real ip, try directly
	  before askign for a reverse connection.

2005-09-22 21:28  emostar

	* plugins/qt-gui/src/: mainwin.cpp, mainwin.h: Fix invisibility
	  once and for all

2005-09-21 07:16  emostar

	* plugins/qt-gui/src/mainwin.cpp: Show invisible for all plugins
	  when we auto-login as invisible.

2005-09-20 13:50  emostar

	* plugins/qt-gui/src/mainwin.cpp: Make sure the invisibilty menu
	  item is handled properly, depending on which one is clicked and
	  the status of it. And each protocol if the main menu one was
	  selected.

2005-09-20 13:48  emostar

	* plugins/qt-gui/src/usereventdlg.cpp: Give it an extension to make
	  sure it is handled properly.	Make sure we don't have some
	  conversation errors.

2005-09-20 13:46  emostar

	* plugins/qt-gui/src/ownermanagerdlg.cpp: Give the registration
	  dialog a parent.

2005-09-20 13:45  emostar

	* plugins/qt-gui/src/adduserdlg.cpp: The "Alert User" option is
	  invalid now...

2005-09-16 17:19  emostar

	* plugins/msn/src/: msn-srv.cpp, msn.cpp, msn.h: Use mutexes to
	  control when we reset the socket file descripter. close() doesn't
	  make select return, so we have to have a timeout. This isn't
	  nice.. we run the loop every 10 seconds instead of blocking. look
	  for future ways of improving this.

2005-09-16 14:17  emostar

	* plugins/msn/src/: msn-srv.cpp, msn.cpp, msn.h: Add a safety check
	  that the ping thread doesn't try to send a ping until we are
	  ready (i.e. received the QRY reply).	When we are disconnected,
	  try to log in (currently broken due to a threading issue).

2005-09-13 11:14  emostar

	* plugins/qt-gui/src/mainwin.cpp: Don't crash when we load a
	  plugin, since there is no owner by default.  Next to do... make
	  it popup the owner manager dialog automatically.

2005-09-13 08:26  phatfil

	* plugins/console/src/console.cpp: don't try to tab-complete (then
	  crash) when the user hasn't typed anything

2005-09-12 13:53  emostar

	* plugins/qt-gui/share/qt-gui/emoticons/: Mirabelis3/emoticons.xml,
	  Mirabelis4/emoticons.xml, Mirabelis5/emoticons.xml: updates to
	  Mirabelis[3,4,5] emoticons by Quentin Denis

2005-09-12 12:40  emostar

	* src/icqd-srv.cpp: Show the user that gives the server list error.
	  Patch concept from Philipp Kolmann

2005-09-10 04:21  emostar

	* src/icqd-srv.cpp: Fix a crash perhaps

2005-09-10 01:08  emostar

	* plugins/msn/src/: msn.cpp, msn.h: Pass by reference.

2005-09-09 17:25  emostar

	* plugins/qt-gui/src/searchuserdlg.cpp: Patch by wwp to fix a few
	  minor issues.

2005-09-09 16:16  emostar

	* src/icqd.cpp: Fix an illegal memory access (out of the array
	  bounds) error found by Vladislav Nadvornik <nadvornik@suse.cz>

2005-09-09 16:13  emostar

	* include/licq_icqd.h, include/licq_packets.h, include/licq_user.h,
	  src/icqd-srv.cpp, src/icqpacket.cpp, src/user.cpp: Greatly
	  improve importing/retrieving the contact list.  Save the privacy
	  info, so we can set our invis/vis status correctly.  Add an empty
	  string to remove warnings about an empty GPG Key.  Add the
	  functions to the daemon to clear the server list, but they don't
	  remove groups yet. And sending data too quickly will discconect
	  us. I need to add rate limiting to the client side so the client
	  will obey the server's rules.

2005-09-01 15:25  emostar

	* plugins/qt-gui/src/registeruser.cpp: Don't crash when we open it.

2005-09-01 15:06  emostar

	* src/icqd-srv.cpp: Save the new UIN that we get. Fixes a bug that
	  didn't save it in licq.conf

2005-09-01 15:00  emostar

	* plugins/qt-gui/src/registeruser.cpp: Put the OK button in the box
	  where it belongs.

2005-08-27 01:57  emostar

	* plugins/msn/src/msn-srv.cpp: Don't show GTC, BLP, PRP as
	  unhandled commands.. even though they are :P

2005-08-27 01:53  emostar

	* plugins/msn/src/msn-srv.cpp: Don't overwrite the nick, even if we
	  just added them cuz someone might be fast enough to change the
	  local nick.. :P

2005-08-27 01:17  emostar

	* plugins/msn/src/msn-srv.cpp: And set the encoding when new users
	  are added from a ui plugin.

2005-08-27 01:13  emostar

	* plugins/msn/src/msn-sb.cpp: When we get a new user, make sure the
	  encoding is set to UTF-8 automatically.

2005-08-26 23:17  phatfil

	* plugins/console/src/: console.cpp, console.h, console_menu.cpp,
	  console_print.cpp, window.cpp: this does three things: - saves
	  the last user correctly when using the F10 menu - adds support
	  for specifying a users protocol (when not using the F10 menu) -
	  ie. /message foo.Licq or /message foo.MSN (sf task id 115776) -
	  removes \t's from source

2005-08-23 10:14  emostar

	* plugins/qt-gui/po/sv.ts: Updated Swedish translation. Need to
	  convert this to a .po file as well.

2005-08-23 07:57  phatfil

	* plugins/rms/src/: rms.cpp, rms.h: fix event tag handling.

2005-08-16 04:34  phatfil

	* plugins/console/src/console.cpp: fix segfault caused by bug in
	  AddEventTag() when a windows data was invalid.

2005-08-13 10:55  emostar

	* src/icqpacket.cpp: Send SSI flag as well.

2005-08-13 10:55  emostar

	* src/icqd-srv.cpp: Fix the problem with visible and invisible
	  users.

2005-08-13 02:11  phatfil

	* plugins/licqweb/: index.html, push.php, serverpush.php,
	  config.php, kses.php, licqweb.css, licqweb.js, rms.php, COPYING,
	  LICENSE, README, TODO, changeStatus.php, sendMessage.php,
	  viewEvent.php, images/favicon.ico, images/licq.away.png,
	  images/licq.donotdisturb.png, images/licq.ffc.png,
	  images/licq.invisible.png, images/licq.notavailable.png,
	  images/licq.occupied.png, images/licq.offline.png,
	  images/licq.online.png, images/msg.png, images/msn.away.png,
	  images/msn.occupied.png, images/msn.offline.png,
	  images/msn.online.png: Initial revision

2005-08-13 02:11  phatfil

	* plugins/licqweb/: index.html, push.php, serverpush.php,
	  config.php, kses.php, licqweb.css, licqweb.js, rms.php, COPYING,
	  LICENSE, README, TODO, changeStatus.php, sendMessage.php,
	  viewEvent.php, images/favicon.ico, images/licq.away.png,
	  images/licq.donotdisturb.png, images/licq.ffc.png,
	  images/licq.invisible.png, images/licq.notavailable.png,
	  images/licq.occupied.png, images/licq.offline.png,
	  images/licq.online.png, images/msg.png, images/msn.away.png,
	  images/msn.occupied.png, images/msn.offline.png,
	  images/msn.online.png: initial import of licqweb

2005-08-13 01:40  phatfil

	* plugins/console/src/: console.cpp, console_print.cpp: whoops. use
	  strdup() so free() works.

2005-08-13 01:32  phatfil

	* plugins/console/src/: console.cpp, console_print.cpp: fix a
	  couple of crashes (viewing history, last user) when user aliases
	  were > 32 chars

2005-08-13 00:55  emostar

	* plugins/qt-gui/src/wharf.cpp: Switch which one to show and fix
	  the update problems.

2005-08-10 22:36  emostar

	* plugins/msn/src/msn-srv.cpp: Grab the Client ID (MSNObject is
	  optional, make it conditional before we do this).

	  Don't skip the next RN line after we get our profile message, cuz
	  that is another packets terroritory now. (wasn't before?)

2005-08-10 12:50  emostar

	* plugins/qt-gui/src/wharf.cpp: Fix docking once and for all.
	  bitch.

2005-08-05 15:20  emostar

	* src/icqpacket.cpp: Fix accepting file transfers. Works with all
	  clients now.

2005-08-05 14:26  emostar

	* plugins/msn/src/msn-srv.cpp: If we disconnect, don't wait for a
	  ping reply anymore.

2005-08-05 14:09  emostar

	* plugins/msn/src/: msn-sb.cpp, msn-srv.cpp, msn.h: Improve error
	  handling when we can't send a message for some reason.  Add new
	  users to the Not In List section when we join a multi-user chat.

2005-08-05 13:53  emostar

	* doc/README.FIFO, src/fifo.cpp: Patch by Philip to support
	  loading/listing/unloading plugins with the fifo.

2005-08-05 13:44  emostar

	* plugins/rms/src/: rms.cpp, rms.h: Patch by Philip for some
	  improvements that are utilized in his licqweb.  I removed an
	  md5.h include... that isn't used, right?

2005-07-23 01:10  emostar

	* plugins/console/src/: console.cpp, console.h, event_data.h:
	  Modified patch by Philip Nelson to compile one again.  Modified
	  by me to actually receive files in the console plugin finally!

2005-07-22 16:05  emostar

	* include/licq_events.h, include/licq_icqd.h, src/icqd-tcp.cpp,
	  src/icqevent.cpp: Add signals for protocol plugins to do SSL
	  connections.

2005-07-22 15:33  emostar

	* src/icqd-srv.cpp, src/icqd-tcp.cpp, include/licq_events.h,
	  src/icqevent.cpp, include/licq_icqd.h: Add PP API functions for
	  File Transfers.

	  Remove an unused variable.

2005-07-20 11:07  emostar

	* src/icqd-srv.cpp: Tell PP which protocol has logged off.

2005-07-18 11:40  emostar

	* plugins/qt-gui/src/: licqgui.cpp, mainwin.cpp,
	  ownermanagerdlg.cpp, ownermanagerdlg.h, registeruser.cpp,
	  registeruser.h, sigman.cpp, sigman.h, usereventdlg.cpp: Fix user
	  registration.  Handle the new owner signal.  Handle the verify
	  image signal.  Adjust the parameters for accepting files to match
	  the new API in the daemon.  Fix some of the language to make it
	  easier for new users of Licq to start out.

2005-07-18 11:35  emostar

	* src/icqd-srv.cpp, src/icqd-tcp.cpp, include/licq_events.h,
	  include/licq_icq.h, include/licq_icqd.h, include/licq_packets.h,
	  src/icqd.cpp, src/icqpacket.cpp: A few things I have built up
	  recently.  * Fix registration. This requires showing an image to
	  the user to verify that th ey are a human, not a spambot.  * Use
	  the IBCM method for accepting file transfers. We can now accept
	  files from  Miranda... still checking about the problem with
	  files from ICQ5.

2005-07-16 01:14  emostar

	* plugins/qt-gui/src/ownermanagerdlg.cpp: Maybe this is better..

2005-07-16 01:12  emostar

	* plugins/qt-gui/src/: ownermanagerdlg.cpp, registeruser.cpp:
	  Change some of the language to be more consistent.

2005-07-15 23:47  emostar

	* plugins/qt-gui/src/messagebox.h: Fix a gcc4 compilation error

2005-07-15 16:14  emostar

	* src/icqd-tcp.cpp: Encrypting messages through the server isn't
	  always a good idea, they get truncated easily and will be
	  impossible to decode.

2005-07-15 15:19  emostar

	* plugins/qt-gui/src/mainwin.cpp: Remove this... it doesn't work
	  anymore. Look for a fix in the future so we can uncomment this ;)

2005-07-15 15:12  emostar

	* src/translate.cpp: Compilation fix

2005-07-14 15:05  emostar

	* src/icqpacket.cpp: A correct fix... I now see how this bug
	  occurred.  When I added the support for UTF messages, I had to
	  allow it to specify how many bytes the message is, cuz some UTF16
	  messages have 0 as a byte and this would confuse the parser as
	  thinking the message is over. I just forgot to have it send the
	  lenght. D'oh!

2005-07-14 14:44  emostar

	* src/icqpacket.cpp: Damn..  this fixes the problems of direct
	  connections being messed up. How long has it been like this and
	  when did it start?

2005-07-08 14:16  emostar

	* plugins/qt-gui/src/userbox.cpp: Fix SF Bug #1230294.	Show the
	  correct order of groups, as defined by their group number.  Can
	  be set using User Functions -> Edit Groups .. then move up and
	  down.

2005-07-07 22:47  emostar

	* plugins/qt-gui/src/wharf.cpp: I can't believe Qt hasn't fixed
	  there bug. This is a temp workaround for 2 wharf icons being
	  shown in WindowMaker and others. Perhaps we need to change this
	  to quit using QWidget. Just do the X calls directly to get rid of
	  this fucking Qt bug.

2005-07-07 22:45  emostar

	* plugins/qt-gui/src/mainwin.cpp: Need this here now

2005-07-07 22:35  emostar

	* plugins/rms/src/: rms.cpp, rms.h: Add support for protocol
	  plugins

2005-07-07 22:32  emostar

	* plugins/console/src/: console.cpp, console.h, console_menu.cpp,
	  console_tab.cpp: Don't need to load protocol plugins anymore.

	  Fix tabbing with users. Allow using UINs once again.

2005-07-07 22:30  emostar

	* plugins/qt-gui/src/licqgui.cpp: Don't need this anymore!

2005-07-07 15:10  emostar

	* src/: icqd-srv.cpp, icqd.cpp, icqpacket.cpp, licq.cpp: Fix
	  duplicate messages from ICQ5 when we are in occupied.  Load
	  protocol plugins before UI plugins.  Don't delete temp users that
	  aren't on the server in the first place.

2005-07-05 11:43  emostar

	* src/icqd.cpp: Apparently Occupied and DND have been removed in
	  ICQ5 and so has the support to send urgent messages or messages
	  to the list. Some clients will send us a message, we tell them
	  that we are occ or dnd and reject it, but they say it was sent.

	  Closes SF Bug #1200836

2005-06-08 04:54  emostar

	* plugins/console/src/: console.cpp, console.h: Add a patch to
	  configure the backspace key.

2005-06-08 03:36  emostar

	* plugins/qt-gui/src/: mainwin.cpp, mainwin.h, optionsdlg.cpp,
	  optionsdlg.h, usereventdlg.cpp: Patch by Philipp Kolmann <philipp
	  AT kolmann.at> to make the flashing taskbar an option now.

2005-06-08 03:08  emostar

	* src/translate.cpp: Compilation fix by Bernard Cafarelli <bcafarel
	  AT messel.emse.fr>

2005-06-08 02:57  emostar

	* plugins/qt-gui/share/qt-gui/emoticons/bugeyes/: README,
	  bug_angel.png, bug_angry.png, bug_blush.png, bug_cool.png,
	  bug_crossedlips.png, bug_cry.png, bug_foot.png, bug_frown.png,
	  bug_green.png, bug_kiss.png, bug_laugh.png, bug_moneymouth.png,
	  bug_oooh.png, bug_smile.png, bug_stare.png, bug_thinking.png,
	  bug_tongue.png, bug_wink.png, bug_yell.png, emoticons.xml: Bugeye
	  emoticons. See the README for more info.

2005-05-29 11:26  emostar

	* include/licq_translate.h, src/icqd-tcp.cpp, src/translate.cpp:
	  Fix the problem of not being able to convert to UTF16 from other
	  codecs than UTF8

2005-05-27 06:12  emostar

	* src/translate.cpp: Had them reversed, d'oh!

2005-05-24 01:32  emostar

	* src/icqd-srv.cpp: Fix problem with messages being translated two
	  times.

	  The people with Russian bug reports: does this work now?

2005-05-23 13:28  emostar

	* src/icqpacket.cpp: Report ourselves as ICQ 2003a to the ICQ Login
	  server.

2005-05-21 10:03  emostar

	* plugins/qt-gui/src/ewidgets.cpp: Fix SF Bug #1206087, Messages
	  with AIM users stacking up.

2005-05-20 15:50  emostar

	* plugins/qt-gui/src/: awaymsgdlg.cpp, mainwin.cpp, usercodec.cpp,
	  usercodec.h: Fix the encoding problems with away messages

2005-05-20 14:59  emostar

	* src/translate.cpp: Oops, had them backwards.

2005-05-20 09:00  emostar

	* src/translate.cpp: Compilation fix

2005-05-20 08:02  emostar

	* src/icqd-srv.cpp: Put random chat users in the Not In List group.

2005-05-20 04:40  emostar

	* plugins/qt-gui/src/: awaymsgdlg.cpp, awaymsgdlg.h, mainwin.cpp,
	  mainwin.h: Update to not use the timer when we are just changing
	  the auto response.  Patch by the original author.

2005-05-20 04:20  emostar

	* configure.in: Check for iconv.h  Do we need to check for
	  iconv_open() or anything?

2005-05-20 02:35  emostar

	* src/icqd-srv.cpp, src/icqd-tcp.cpp, src/icqpacket.cpp,
	  include/licq_icq.h, include/licq_icqd.h, include/licq_packets.h,
	  include/licq_translate.h, include/licq_user.h, src/translate.cpp,
	  src/user.cpp: Fix a problem of empty messages and unreadable
	  messages do to encoding problems.  We can now read the UTF-16
	  messages (encoded as UCS-2BE) and send them as well.	I have
	  tested this with a few different clients, including the official
	  client and as long as you set the encoding properly for the user
	  you won't have any problems.

	  * This may require some more testing, so please try it out!

	  Also, UTF8 encoded nicknames are retrieved properly from the
	  server.

	  *** Licq now requires iconv to compile ***

2005-05-17 23:05  emostar

	* plugins/qt-gui/src/usereventdlg.cpp: Compilation fix

2005-05-16 23:07  emostar

	* plugins/qt-gui/src/usereventdlg.cpp: Resizing the emoticons is
	  stupid here, don't do it.

2005-05-16 02:20  emostar

	* src/icqd.cpp: Add this part for adding new users and being
	  notified.

2005-05-16 02:15  emostar

	* plugins/qt-gui/src/: emoticon.cpp, emoticon.h, mainwin.cpp,
	  userbox.cpp, usereventdlg.cpp, usereventdlg.h, xpm/smile.xpm: *
	  Allow multiple files to be dragged'n'dropped onto a user.  * AOL
	  users with spaces and capitals in their screenname had some
	  errors with L icq as reported by Pollywog. This is now fixed.  *
	  REQUESTED: Add a button to insert the emoticons.

2005-05-16 01:52  emostar

	* plugins/qt-gui/src/ownermanagerdlg.cpp: Allow empty passwords.

2005-05-16 01:51  emostar

	* src/user.cpp: Add %P to show the Protocol string of the user.

2005-05-09 23:41  emostar

	* plugins/qt-gui/src/awaymsgdlg.cpp: Patch to fix the crash

2005-05-09 14:26  emostar

	* plugins/qt-gui/src/: awaymsgdlg.cpp, awaymsgdlg.h,
	  usereventdlg.cpp, usereventdlg.h: Patches by Jörg Mensmann
	  <joerg_ml AT bitplanet.de> to fix a problem with setIcon() and
	  add a timer to the auto response dialog. I removed the case where
	  it stopped when it lost focus, this isn't the behaviour of
	  Mirabilis ICQ and I don't like it.

2005-05-06 06:31  emostar

	* plugins/msn/src/msn-srv.cpp: Don't remove our nickname..

2005-05-06 05:32  emostar

	* plugins/qt-gui/src/usereventdlg.cpp: Don't show new messages as
	  recent messages if the user has 5 or less items in the history.

2005-05-06 04:54  emostar

	* plugins/msn/src/: msn-srv.cpp, msn.cpp: Fix a crash when we are
	  disconnected.  Fix a lock up when we are disconnected.

2005-05-04 12:22  dreamforce2

	* plugins/qt-gui/po/de.po: translation fix

2005-05-03 08:57  dreamforce2

	* plugins/qt-gui/share/qt-gui/:
	  extended.icons.thomas/pixGPGKeyDisabled.xpm,
	  extended.icons.thomas/pixGPGKeyEnabled.xpm,
	  extended.icons.thomas/thomas.icons, icons.thomas/gpgkey.xpm,
	  icons.thomas/thomas.icons: - new icons in my iconset :-)

2005-05-03 08:52  dreamforce2

	* plugins/qt-gui/src/: mainwin.cpp, mainwin.h, userbox.cpp: - make
	  the GPG icon themeable :-)

2005-05-02 16:52  dreamforce2

	* plugins/qt-gui/po/de.po: - another update...

2005-05-02 16:51  dreamforce2

	* plugins/qt-gui/src/.cvsignore: - ignore some auto-generated
	  kimiface* files

2005-05-02 16:44  dreamforce2

	* plugins/qt-gui/src/: gpgkeymanager.cpp, gpgkeymanager.h: -
	  internal redesign of the GPG keymanager - fix a translation bug
	  with static linebreaks by using RichText instead

2005-05-02 09:34  dreamforce2

	* plugins/qt-gui/po/: README.translators, de.po: - updates

2005-05-02 09:33  dreamforce2

	* plugins/qt-gui/src/gpgkeymanager.cpp: - add i18n

2005-04-30 23:25  emostar

	* include/licq_events.h, src/icqevent.cpp: More signals that can be
	  sent to protocol plugins: * Send File Request * Send Chat Request
	  * Send File/Chat Reply * Notify of opening and closing chat
	  window

	  They haven't been implemented for any protocols yet.

2005-04-30 22:53  emostar

	* src/user.cpp: Fix the problem of new users that are added not
	  being saved on the list.

2005-04-30 13:39  emostar

	* plugins/qt-gui/share/qt-gui/emoticons/Mirabelis5/emoticons.xml:
	  Update by Quentin

2005-04-25 23:56  emostar

	* src/icqd-srv.cpp, include/licq_events.h, src/icqevent.cpp:
	  Support Ignoring MSN users. Prevents a possible crash.

2005-04-22 13:28  emostar

	* plugins/qt-gui/share/qt-gui/emoticons/: Mirabelis3/README,
	  Mirabelis3/emoticons.xml, Mirabelis3/icq_e_annoyed.png,
	  Mirabelis3/icq_e_disgusted.png, Mirabelis3/icq_e_drooling.png,
	  Mirabelis3/icq_e_giggling.png, Mirabelis3/icq_e_inlove.png,
	  Mirabelis3/icq_e_jokingly.png, Mirabelis3/icq_e_shocked.png,
	  Mirabelis3/icq_e_surprised1.png, Mirabelis3/icq_e_surprised2.png,
	  Mirabelis3/icq_e_whining.png, Mirabelis3/icq_s_angel.png,
	  Mirabelis3/icq_s_angry.png, Mirabelis3/icq_s_bandaid.png,
	  Mirabelis3/icq_s_crying.png, Mirabelis3/icq_s_embarrassed.png,
	  Mirabelis3/icq_s_glasses.png, Mirabelis3/icq_s_happy.png,
	  Mirabelis3/icq_s_kiss.png, Mirabelis3/icq_s_nofingidea.png,
	  Mirabelis3/icq_s_sad.png, Mirabelis3/icq_s_sealed.png,
	  Mirabelis3/icq_s_surprised.png, Mirabelis3/icq_s_teeth.png,
	  Mirabelis3/icq_s_tongue.png, Mirabelis3/icq_s_unsure.png,
	  Mirabelis3/icq_s_wink.png, Mirabelis4/README,
	  Mirabelis4/emoticons.xml, Mirabelis4/icq_s_ack.png,
	  Mirabelis4/icq_s_angry.png, Mirabelis4/icq_s_bomb.png,
	  Mirabelis4/icq_s_confused.png, Mirabelis4/icq_s_cool.png,
	  Mirabelis4/icq_s_crying.png, Mirabelis4/icq_s_drink.png,
	  Mirabelis4/icq_s_evil.png, Mirabelis4/icq_s_flower.png,
	  Mirabelis4/icq_s_holy.png, Mirabelis4/icq_s_jokingly.png,
	  Mirabelis4/icq_s_kiss.png, Mirabelis4/icq_s_kissed.png,
	  Mirabelis4/icq_s_kissing.png, Mirabelis4/icq_s_listen.png,
	  Mirabelis4/icq_s_lol.png, Mirabelis4/icq_s_love.png,
	  Mirabelis4/icq_s_mutely.png, Mirabelis4/icq_s_ops.png,
	  Mirabelis4/icq_s_sad.png, Mirabelis4/icq_s_shocked.png,
	  Mirabelis4/icq_s_smile.png, Mirabelis4/icq_s_spit.png,
	  Mirabelis4/icq_s_stop.png, Mirabelis4/icq_s_tiredly.png,
	  Mirabelis4/icq_s_tongue.png, Mirabelis4/icq_s_unsure.png,
	  Mirabelis4/icq_s_wink.png, Mirabelis5/README,
	  Mirabelis5/Smiley1.png, Mirabelis5/Smiley10.png,
	  Mirabelis5/Smiley11.png, Mirabelis5/Smiley12.png,
	  Mirabelis5/Smiley13.png, Mirabelis5/Smiley14.png,
	  Mirabelis5/Smiley15.png, Mirabelis5/Smiley16.png,
	  Mirabelis5/Smiley17.png, Mirabelis5/Smiley18.png,
	  Mirabelis5/Smiley19.png, Mirabelis5/Smiley2.png,
	  Mirabelis5/Smiley20.png, Mirabelis5/Smiley21.png,
	  Mirabelis5/Smiley22.png, Mirabelis5/Smiley23.png,
	  Mirabelis5/Smiley24.png, Mirabelis5/Smiley25.png,
	  Mirabelis5/Smiley26.png, Mirabelis5/Smiley27.png,
	  Mirabelis5/Smiley28.png, Mirabelis5/Smiley3.png,
	  Mirabelis5/Smiley4.png, Mirabelis5/Smiley5.png,
	  Mirabelis5/Smiley6.png, Mirabelis5/Smiley7.png,
	  Mirabelis5/Smiley8.png, Mirabelis5/Smiley9.png,
	  Mirabelis5/emoticons.xml: Emoticons from 3 different versions of
	  Mirabilis' clients by Quentin Denis.

2005-04-22 13:20  emostar

	* plugins/qt-gui/src/Makefile.am: And this one too

2005-04-22 13:19  emostar

	* plugins/qt-gui/: acinclude.m4.in, configure.in,
	  src/licq-kimiface.desktop: Revert these.. just put the DCOP lines
	  in the licq.desktop file that gets installed.

2005-04-22 13:13  emostar

	* plugins/qt-gui/src/usereventdlg.cpp: Missed this part of Kevin's
	  patches.

2005-04-21 06:12  emostar

	* plugins/qt-gui/src/: mainwin.cpp, mainwin.h, searchuserdlg.cpp,
	  searchuserdlg.h, userbox.cpp, userbox.h, userinfodlg.cpp,
	  userinfodlg.h: dd a user to the list, but not on a permament
	  basis. This is used to retrieve i nfo from search results without
	  keeping the user on our list. The functionality in the daemon is
	  complete, but the qt-gui can have some improvements and more wo
	  rk done, such as authorization requests, new users, etc.

2005-04-21 06:11  emostar

	* include/licq_icqd.h, include/licq_user.h, src/icqd.cpp,
	  src/user.cpp: Add a user to the list, but not on a permament
	  basis. This is used to retrieve info from search results without
	  keeping the user on our list. The functionality in the daemon is
	  complete, but the qt-gui can have some improvements and more work
	  done, such as authorization requests, new users, etc.

2005-04-20 13:20  emostar

	* plugins/rms/src/: rms.cpp, rms.h: Add some support for the
	  multi-protocol features now. Doesn't work with MSN yet, but we
	  can use it with AIM users now.

2005-04-20 13:19  emostar

	* bin/RecreateUserList.sh: Update for the new file format.

2005-04-19 13:10  emostar

	* plugins/qt-gui/share/licq.desktop: Modified desktop file with
	  more translations.

2005-04-19 13:06  emostar

	* plugins/qt-gui/: acinclude.m4.in, configure.in, src/Makefile.am:
	  Modifications to install the DCOP enabled desktop file to the KDE
	  services directory

2005-04-19 13:06  emostar

	* plugins/qt-gui/src/licq-kimiface.desktop: Add a desktop for that
	  will be installed into the services directory.

2005-04-15 05:54  emostar

	* plugins/msn/src/msn.cpp: Ignore these signals unless we are
	  online.

2005-04-14 05:21  emostar

	* src/onevent.cpp: Workaround it not playing for any other protocol
	  than ICQ.  Need to make this saved for each owner in the options
	  dialog of the qt-gui. But this works for now..

2005-04-14 04:33  emostar

	* plugins/qt-gui/src/: adduserdlg.cpp, adduserdlg.h,
	  licqkimiface.cpp, licqkimiface.h, mainwin.cpp, mainwin.h: Another
	  patch by Kevin involving the DCOP methods.

2005-04-14 02:49  emostar

	* plugins/qt-gui/: acinclude.m4.in, configure.in: Fix the check to
	  require DCOP to procede. Hopefully all versions of KDE have this
	  that we support..

2005-04-14 02:15  emostar

	* plugins/qt-gui/: acinclude.m4.in, configure.in: Add the checks
	  for dcopidl and dcopidl2cpp

2005-04-13 18:08  emostar

	* plugins/qt-gui/src/: Makefile.am, kimiface.h, licqgui.cpp,
	  licqkimiface.cpp, licqkimiface.h, mainwin.h, userinfodlg.cpp,
	  userinfodlg.h: Patch by Kevin Krammer <kevin.krammer AT gmx.at>
	  for DCOP interopability.  Currently this requires a few
	  environment variables to be set: DCOPIDL and DCOPIDL2CPP This
	  will be fixed after I get some sleep tonight ;) To use this
	  feature, you'll have to add some contacts to your KAddressBook so
	  they can mapped to Licq users via the Info dialog of each user.

2005-04-13 17:14  emostar

	* plugins/qt-gui/src/mainwin.cpp: Update to support the new
	  functions in the daemon.

2005-04-13 17:13  emostar

	* plugins/msn/src/: msn-srv.cpp, msn.cpp, msn.h, msnpacket.h:
	  Support "Blocking" MSN Users (Same as "Invisible List" on ICQ).

2005-04-13 17:12  emostar

	* src/icqd-srv.cpp, include/licq_events.h, include/licq_icqd.h,
	  src/icqevent.cpp: Add support for protocol plugins to handle
	  visible and invisible lists.

2005-04-13 15:36  emostar

	* plugins/qt-gui/src/mainwin.cpp: Add support for showing only menu
	  items in the user submenu that are relevant for the user's
	  protocol.

2005-04-13 15:28  emostar

	* include/: licq_icq.h, licq_protoplugin.h: put these in a better
	  spot with the other constants.

2005-04-13 00:25  emostar

	* include/licq_packets.h, src/icqd-srv.cpp, src/icqpacket.cpp: Only
	  send the "Send to Offline User" TLV if the user is offline. Fixes
	  seeing the "Message will be..." in the log after every message.

2005-04-12 01:28  emostar

	* plugins/qt-gui/src/mainwin.cpp: Patch to not compile the GPG
	  parts of the GUI.

2005-04-11 14:01  emostar

	* plugins/qt-gui/src/: gpgkeymanager.cpp, gpgkeymanager.h,
	  gpgkeyselect.cpp, gpgkeyselect.h: Fixes to the GPG gui.

2005-04-11 11:46  dreamforce2

	* plugins/auto-reply/: .cvsignore, src/.cvsignore: - ignore more ;)

2005-04-07 23:34  emostar

	* plugins/qt-gui/src/xpm/: pixKeyDisabled.xpm, pixKeyEnabled.xpm:
	  Add the XPM files too

2005-04-07 03:01  emostar

	* plugins/qt-gui/src/: gpgkeymanager.cpp, gpgkeymanager.h,
	  gpgkeyselect.cpp, gpgkeyselect.h: Forgot to add the new files
	  from the patch.

2005-04-06 09:26  emostar

	* include/licq_user.h, src/gpg.cpp, src/icqd-tcp.cpp, src/user.cpp,
	  plugins/qt-gui/configure.in, plugins/qt-gui/qt-gui.pro,
	  plugins/qt-gui/src/Makefile.am, plugins/qt-gui/src/gui-defines.h,
	  plugins/qt-gui/src/mainwin.cpp, plugins/qt-gui/src/mainwin.h,
	  plugins/qt-gui/src/userbox.cpp, plugins/qt-gui/src/userbox.h:
	  Patch by Alexander Rensmann <zerraxys AT gmx.net> to improve GPG
	  functionality with Licq. Shows a dialog to set user keys.
	  Currently it doesn't use the config file, but a script will be
	  written to upgrade before the next release.

2005-04-05 23:02  emostar

	* include/licq_protoplugin.h, include/licq_protoplugind.h,
	  src/licq.cpp, src/protoplugind.cpp: Work on getting some more
	  information from the protocol plugins, such as what functions
	  they support. This will allow the GUI plugins to show only the
	  functions that work for each plugin.

2005-04-05 22:59  emostar

	* src/icqd-srv.cpp: The wrong endian-ness was being used. This stil
	  doesn't fix the decoding of the messages. We need a proper UTF16
	  to UTF8 converter before it will work properly.

2005-04-05 15:16  emostar

	* plugins/qt-gui/src/mainwin.cpp: Fix a strcmp that messed up
	  Thread View

2005-04-05 14:22  emostar

	* plugins/msn/src/plugin.cpp: Update this to match the new API.

2005-04-05 14:21  emostar

	* plugins/msn/src/msn-sb.cpp: Don't freeze if the typing
	  notification packet has another packet attached. It includes some
	  extra new lines we have to parse.

2005-04-05 14:06  emostar

	* plugins/qt-gui/src/: ewidgets.cpp, ewidgets.h, usereventdlg.cpp:
	  Fix the notice messages sent when using msn. it messed up the new
	  chat view.

2005-03-31 14:57  emostar

	* plugins/qt-gui/src/: ewidgets.cpp, ewidgets.h, mainwin.cpp,
	  mainwin.h, optionsdlg.cpp, optionsdlg.h, userbox.cpp,
	  usereventdlg.cpp, usereventdlg.h, userinfodlg.cpp, userinfodlg.h:
	  Message Display customability patch by snade <snade AT ig.com.br>

2005-03-23 15:13  dreamforce2

	* plugins/auto-reply/src/Makefile.am: configure takes care of
	  things like -fno-rtti -fno-exceptions.  don't assume that all
	  compilers understand GCC's parameters.  This fixes bug 524480.

2005-03-23 12:43  dreamforce2

	* plugins/qt-gui/src/plugindlg.cpp: make it resize properly.

2005-03-23 10:15  dreamforce2

	* plugins/qt-gui/src/: mainwin.cpp, userselectdlg.cpp: make
	  "autologon" work with the userselectdialog when we have not saved
	  our password.  we don't want try to logon while the user is still
	  typing his password... so we wait until he finished :)

	  this will finally make my girlfriend very happy ;)

2005-03-19 23:37  dreamforce2

	* plugins/qt-gui/po/de.po: it's always the same... i checkin
	  something and a few minutes later i find a mistake ;-)

2005-03-19 22:39  dreamforce2

	* plugins/qt-gui/src/userbox.cpp: crash-fix by Edans Flavius de O.
	  Sandes, thanks.  Speak after me: We don't want delete ourselve
	  recursive ;-)

2005-03-19 22:08  dreamforce2

	* plugins/qt-gui/po/de.po: another update...

2005-03-19 22:07  dreamforce2

	* plugins/qt-gui/po/addon.qt: updated addon.qt file for current QT
	  versions.

2005-03-19 22:06  dreamforce2

	* plugins/qt-gui/src/mainwin.cpp: i18n-fix

2005-03-19 22:00  dreamforce2

	* plugins/qt-gui/src/usereventdlg.cpp: i18n-fix

2005-03-19 20:33  dreamforce2

	* plugins/qt-gui/po/de.po: completely updated and rewritten german
	  translation.	Yeah, i finally got time for it :-)

2005-03-10 00:23  emostar

	* plugins/qt-gui/src/ewidgets.cpp: Don't try to parse messages from
	  MSN as HTML.

2005-03-09 23:56  emostar

	* plugins/msn/src/: msn-sb.cpp, msn-srv.cpp: Show what commands we
	  don't handle.  Fix a possible bug of not seeing an online user
	  when logging in.

2005-03-09 23:09  emostar

	* plugins/msn/src/: msn-srv.cpp, msn.cpp, msn.h: Detect when we
	  have lost our connection if we don't get a ping back.  Save
	  owner's alias when we log in and get it from the server.  Clean
	  up some strange white space that stopped compilation.

2005-03-09 13:26  emostar

	* plugins/qt-gui/src/userbox.cpp: Fix the threaded groups headers

2005-03-07 13:26  emostar

	* plugins/qt-gui/src/: mainwin.cpp, userbox.cpp: Fix showing the
	  status bar for Licq without any protocol plugins.  Fix an
	  undefined variable being used in a comparison.

2005-03-06 23:06  emostar

	* src/fifo.cpp: Patch by wwp for the fifo help command.

2005-03-05 16:07  emostar

	* plugins/qt-gui/src/mainwin.cpp: Ooops, fix a seg fault.

2005-03-01 23:29  emostar

	* plugins/qt-gui/src/ewidgets.cpp: Fix a moving status icon with no
	  protocol plugins.

2005-02-27 16:29  emostar

	* src/: gpg.cpp, icqd-srv.cpp: A few minor patches by wwp

2005-02-27 14:24  emostar

	* plugins/qt-gui/src/: mainwin.cpp, mainwin.h, userinfodlg.cpp: Add
	  an owner menu for each loaded protocol plugin.

2005-02-27 14:22  emostar

	* plugins/msn/src/: msn-sb.cpp, msn-srv.cpp, msn.cpp, msn.h,
	  msnpacket.cpp: Fix a problem reported to licq-devel with MSN
	  plugin crashing. (missed a commit or something).  Fix a problem
	  of MSN hanging at times.  Fix a problem of MSN hanging when we
	  send a message to a user that logs off as we are sending it to
	  him.	Support renaming of the owner.

2005-02-27 14:21  emostar

	* src/icqd-srv.cpp, include/licq_events.h, include/licq_icqd.h,
	  src/icqevent.cpp: Add SetGeneralInfo as a protocol plugin
	  function.

2005-02-26 14:54  emostar

	* plugins/qt-gui/src/: ewidgets.cpp, ewidgets.h, mainwin.cpp:
	  Change the status label.  If we have more than one protocol
	  plugin loaded, we will show the icons for the status of each
	  protocol and no text.

2005-02-26 13:07  emostar

	* plugins/qt-gui/src/mainwin.cpp: Show the MSN icons in the status
	  menu.

2005-02-21 17:08  emostar

	* plugins/qt-gui/src/: usereventdlg.cpp, usereventdlg.h: Flash the
	  taskbar when we receive a message.

2005-02-21 16:40  emostar

	* plugins/qt-gui/src/usereventdlg.cpp: Fix SF Bug# 1096846 Show the
	  message icon in the message window titlebar if tabbed chatting is
	  enab led.

2005-02-21 15:44  emostar

	* acinclude.m4.in, admin/acinclude.m4.in,
	  plugins/auto-reply/admin/acinclude.m4.in,
	  plugins/console/admin/acinclude.m4.in,
	  plugins/email/admin/acinclude.m4.in,
	  plugins/qt-gui/admin/acinclude.m4.in,
	  plugins/rms/admin/acinclude.m4.in,
	  plugins/msn/admin/acinclude.m4.in: Move the GPGME checks into the
	  admin/ so they can be used by plugins.

2005-02-21 15:36  emostar

	* plugins/console/src/: console.cpp, console_print.cpp: Fix a crash
	  that was caused my an uninitialized pointer. Also a few pointer
	  checks..

2005-02-19 13:59  emostar

	* plugins/qt-gui/src/: licqgui.cpp, licqgui.h, mainwin.cpp,
	  mainwin.h, optionsdlg.cpp: Patch by wwp <subscript free.fr> to
	  disable the dock icon if wanted.  Minor fix by me, if you run
	  licq -- -D -d nothing will show up.

2005-02-19 13:44  emostar

	* src/fifo.cpp: Get fifo working with MSN

2005-02-18 14:36  emostar

	* plugins/qt-gui/src/: ewidgets.cpp, ewidgets.h, mainwin.h,
	  usereventdlg.cpp, usereventdlg.h: Fix the bug of sent messages
	  going into the windows of all open tabs.

2005-02-16 00:47  emostar

	* plugins/qt-gui/src/: mainwin.cpp, mainwin.h, sigman.cpp,
	  sigman.h, usereventdlg.cpp, usereventdlg.h: Use the new
	  conversation class from the daemon. This fixes many bugs with
	  multi-user chats on MSN. If anymore exist, please inform me.

2005-02-16 00:37  emostar

	* plugins/msn/src/: msn-sb.cpp, msn.cpp, msn.h: Support using the
	  new conversation class in the daemon. Makes things so much
	  easier.

2005-02-16 00:34  emostar

	* include/licq_events.h, include/licq_icqd.h,
	  include/licq_message.h, include/licq_user.h, src/icqd-tcp.cpp,
	  src/icqd.cpp, src/icqevent.cpp, src/message.cpp, src/user.cpp:
	  Change how we support group messaging (conversation in MSN,
	  channel on IRC, etc). We now create a Conversation class and
	  manage everything with a unique conversation id instead of just
	  jusing the socket. This provides more access to information about
	  how many users, which users, etc.

2005-01-30 14:28  emostar

	* plugins/qt-gui/src/wharf.cpp: Patch by Frank Osterfeld
	  <frank.osterfeld AT gmx.de> to improve KDE system tray behaviour.

2005-01-28 14:08  emostar

	* plugins/qt-gui/src/userbox.cpp: Support HTML in the tooltip. This
	  makes it show AIM user's away messages without the HTML code.

2005-01-28 13:44  emostar

	* src/icqd-srv.cpp: Check for a proper ICQEvent... before we
	  dereference it.

2005-01-28 00:51  emostar

	* src/icqd-threads.cpp: Clear the socket too... it fixes a problem
	  when a user sends us a direct message, the socket disconnects and
	  we try to reply, but can't connect to the user. It'll make the
	  Qt-GUI default to sending through the server after a connection
	  has been closed.

2005-01-27 16:24  emostar

	* plugins/qt-gui/src/plugindlg.cpp: Oops, forgot the /

2005-01-27 12:35  emostar

	* include/licq_user.h, src/icqd-threads.cpp: When a direct
	  connection is closed, if it is a Secure connection, mark that the
	  secure connection has been closed and update the plugins.

	  Fixes SF Bug #1105412

2005-01-27 11:57  emostar

	* plugins/qt-gui/src/optionsdlg.cpp: Fix a crash with Qt-GUI and
	  some unintuitive behaviour.

2005-01-27 11:20  emostar

	* plugins/msn/src/msn.cpp: Properly shutdown the plugin.. close the
	  threads, disconnect, mark all users and the owner as offline.

	  This would crash since the ping thread would still be using some
	  deallocated memory.

2005-01-27 10:35  emostar

	* plugins/qt-gui/src/usereventdlg.cpp: Don't crash Qt-GUI if we are
	  not using Chatmode Message View with MSN.

2005-01-26 17:21  emostar

	* src/icqd-srv.cpp: Only change their status if they are offline to
	  begin with.

2005-01-26 17:13  emostar

	* src/icqd-srv.cpp, src/icqd.cpp, src/icqpacket.cpp,
	  include/licq_icqd.h, include/licq_packets.h,
	  plugins/qt-gui/src/gui-defines.h, plugins/qt-gui/src/mainwin.cpp:
	  Add support to see if a user is invisible by sending a "fake"
	  message. The server respons differently if the user is offline or
	  invisible.

2005-01-24 14:46  emostar

	* plugins/qt-gui/src/: plugindlg.cpp, plugindlg.h: New Plugin
	  Manager Dialog to have better support for Protocol plugins.
	  Also, looks better for management of loaded/enabled plugins of
	  both all kinds.

	  Doesn't have a way to show details at the moment. Perhaps a right
	  click pop-up menu would do the trick? Double clicking allows you
	  to edit the config file of the plugin.

2005-01-21 01:40  emostar

	* plugins/qt-gui/src/usereventdlg.cpp: Show the correct codec that
	  is being used. Doesn't affect anything other than the visual
	  signal of it being used. Before it was being used properly, just
	  looked incorrect.

2005-01-21 01:06  emostar

	* plugins/qt-gui/src/: mainwin.cpp, mainwin.h, optionsdlg.cpp,
	  optionsdlg.h, userbox.cpp, userinfodlg.cpp: A few memory deletes
	  on exit, if needed.

	  A patch by Philip to show the protocol ID as a tooltip option.
	  Useful if you are using MSN to see their e-mail, or view an ICQ
	  user's UIN.

2005-01-21 00:45  emostar

	* plugins/auto-reply/: licq_autoreply.conf, src/autoreply.cpp:
	  Patch submitted to SF about keeping these as options. Closes a
	  bug as well.

2005-01-20 17:26  emostar

	* include/licq_message.h, src/icqd-chat.cpp, src/icqd.cpp: A few
	  fixes to get Chat's working again. They were broken at some
	  point.

2005-01-20 01:49  emostar

	* plugins/msn/configure.in: Add better configure support for
	  OpenSSL.

2005-01-20 01:41  emostar

	* acinclude.m4.in, admin/acinclude.m4.in,
	  plugins/auto-reply/admin/acinclude.m4.in,
	  plugins/console/admin/acinclude.m4.in,
	  plugins/email/admin/acinclude.m4.in,
	  plugins/qt-gui/admin/acinclude.m4.in,
	  plugins/rms/admin/acinclude.m4.in,
	  plugins/msn/admin/acinclude.m4.in: Move the LICQ_CHECK_SSL to
	  admin/ so it can be shared for other plugins (i.e. msn) to use.

2005-01-20 01:31  emostar

	* configure.in: Fix GPGME.

2005-01-19 13:19  emostar

	* src/icqd-srv.cpp: Fix retrieval of AIM user's information. Also
	  fixes a small memory leak.

2005-01-18 14:01  emostar

	* plugins/msn/configure.in: Check for OpenSSL. If we don't find it,
	  don't even bother compiling the plugin.

2005-01-18 01:23  emostar

	* plugins/qt-gui/src/showawaymsgdlg.cpp: Remove HTML from AIM
	  user's away messages.

2005-01-13 02:44  emostar

	* plugins/qt-gui/src/mainwin.cpp: Fix another small memory leak

2005-01-13 02:08  emostar

	* plugins/msn/src/: msn-sb.cpp, msnpacket.cpp: Fix a few memory
	  leaks.

2005-01-13 01:48  emostar

	* plugins/qt-gui/src/usereventdlg.cpp: Keep showing the alias
	  always for MSN.  Fixes SF Bug #1082784

2005-01-11 00:43  emostar

	* include/licq_gpg.h, src/gpg.cpp: Conditional compilation is
	  needed.

2005-01-07 02:36  emostar

	* include/licq_gpg.h: patches for the new GPGME API. Now we
	  reuquire GPGME 0.4.2 or higher. Add a con figure check for this
	  instead of our old hack. Thanks to Richard and Robert for  their
	  patches to the licq-devel ML.

2005-01-07 02:35  emostar

	* acinclude.m4.in, src/gpg.cpp: patches for the new GPGME API. Now
	  we reuquire GPGME 0.4.2 or higher. Add a configure check for this
	  instead of our old hack. Thanks to Richard and Robert for their
	  patches to the licq-devel ML.

2005-01-06 15:48  emostar

	* plugins/: qt-gui/src/eventdesc.cpp, qt-gui/src/messagebox.cpp,
	  qt-gui/src/usereventdlg.cpp, msn/src/msn-srv.cpp,
	  msn/src/msn.cpp, msn/src/msn.h, msn/src/msnbuffer.cpp,
	  msn/src/msnbuffer.h: MSN now can send new email notifications to
	  the daemon.  Qt-GUI will show them and be able to launch the web
	  browser directly to the new email using Hotmail's auto login
	  feature.

2005-01-06 15:46  emostar

	* include/licq_icq.h, include/licq_message.h, src/icqd-srv.cpp,
	  src/message.cpp: Support email notifications for the protocol
	  plugins.

2004-12-30 08:37  dreamforce2

	* plugins/qt-gui/src/catdlg.cpp: - make it end with a newline.

2004-12-30 08:35  dreamforce2

	* doc/README: - little update. configure and make can be done as
	  user.

2004-12-29 23:59  emostar

	* plugins/qt-gui/acinclude.m4.in: If we are checking for Qt 3.0 or
	  higher, make sure that we don't accept from Qt 2.1

2004-12-29 16:39  emostar

	* include/licq_icq.h, include/licq_packets.h, include/licq_user.h,
	  src/icqd-srv.cpp, src/icqpacket.cpp, src/user.cpp: fix the
	  problem with being invisible.  occurs when the official client is
	  used to be invisible and licq can't be seen by other users
	  because the setting is now saved on the server.

2004-12-29 16:22  emostar

	* plugins/qt-gui/src/usereventdlg.cpp: Comp fix

2004-12-18 16:17  emostar

	* src/icqd-srv.cpp, include/licq_icq.h, include/licq_icqd.h,
	  include/licq_packets.h, plugins/qt-gui/src/showawaymsgdlg.cpp,
	  plugins/qt-gui/src/sigman.cpp, src/icqd-tcp.cpp,
	  src/icqpacket.cpp: Support retrieving AIM users away messages.

2004-12-18 13:47  emostar

	* plugins/msn/src/: msn-sb.cpp, msn.cpp: Some fixes and minor
	  additions.  Fix a major memory leak :\

2004-12-17 08:46  dreamforce2

	* bin/viewurl-mozilla.sh: - fix SF-bug 1065754, viewurl-mozilla.sh
	  script was not working correctly.

2004-12-17 04:52  emostar

	* include/licq_events.h, include/licq_icqd.h,
	  plugins/qt-gui/src/usereventdlg.cpp, src/icqd-srv.cpp,
	  src/icqevent.cpp, plugins/qt-gui/src/userinfodlg.cpp: Fix bug
	  #1079101 on SF.  Also, fix problem with duplicate messages.

2004-12-17 01:08  emostar

	* src/user.cpp: Update for new PP style.

2004-12-12 01:12  emostar

	* plugins/msn/src/msn-srv.cpp: Fix SF Bug# 1082947.  Close all
	  sockets when we go offline, so we don't continue receiving
	  messages even after we log on with a different client.

2004-12-12 00:45  emostar

	* plugins/msn/src/msn-srv.cpp: Fix SF Bug# 1079953.  Don't log back
	  online with MSN if we selected offline manually.

2004-12-10 05:15  emostar

	* plugins/msn/src/msn-srv.cpp: Inform the plugins of the new
	  nickname.

2004-12-10 04:32  emostar

	* plugins/msn/src/msn-sb.cpp: Protocol doesn't allow us to send
	  messages when we are offline. So show the error instead of
	  waiting forever.

2004-12-08 07:41  dreamforce2

	* plugins/: email/src/main.cpp, auto-reply/src/main.cpp: - fix
	  typo.

2004-11-30 23:04  emostar

	* plugins/qt-gui/src/usereventdlg.cpp: Damn.. why doesn't it like
	  inline in some compilers?

2004-11-28 14:31  emostar

	* src/icqd-srv.cpp: comp fix

2004-11-28 00:14  emostar

	* plugins/msn/src/msn-srv.cpp: Update nicks more often, but only if
	  the user wants an updated nick.

2004-11-26 04:17  emostar

	* plugins/msn/src/: msn-srv.cpp, msn.cpp, msn.h: Support Logon
	  Status for MSN. Also, if we get disconnected or have to change
	  servers, retain our status.

2004-11-25 16:13  emostar

	* plugins/qt-gui/src/usereventdlg.cpp: Use faded colors for the
	  last 5 messages when the window is opened. Does this cause any
	  problems?

2004-11-25 15:56  emostar

	* include/licq_icqd.h, include/licq_packets.h, src/icqd-srv.cpp,
	  src/icqpacket.cpp: Support getting AIM user's profiles.

2004-11-25 15:46  emostar

	* plugins/qt-gui/src/: mainwin.cpp, sigman.cpp, userinfodlg.cpp,
	  userinfodlg.h: Support fetching AIM user's profiles.

2004-11-19 00:29  emostar

	* src/licq.cpp: Patch by wwp to not call the updgrade function if
	  we just ask for some help.

2004-11-18 14:21  emostar

	* src/: licq.cpp, licq.h: Fix bug #1065442

2004-11-18 14:09  emostar

	* plugins/qt-gui/src/usereventdlg.cpp: Show typing notifications
	  for ICQ/AIM users as before.

2004-11-18 13:49  emostar

	* src/icqd-srv.cpp, src/icqd-tcp.cpp, src/icqevent.cpp,
	  src/message.cpp, src/onevent.cpp, src/user.cpp,
	  include/licq_events.h, include/licq_icqd.h,
	  include/licq_message.h, include/licq_onevent.h,
	  plugins/qt-gui/src/ewidgets.cpp, plugins/qt-gui/src/ewidgets.h,
	  plugins/qt-gui/src/mainwin.cpp, plugins/qt-gui/src/mainwin.h,
	  plugins/qt-gui/src/sigman.cpp, plugins/qt-gui/src/sigman.h,
	  plugins/qt-gui/src/usereventdlg.cpp,
	  plugins/qt-gui/src/usereventdlg.h, plugins/qt-gui/src/wharf.cpp,
	  plugins/msn/src/msn-sb.cpp, plugins/msn/src/msn.cpp,
	  plugins/msn/src/msn.h: Allow messages to contain an id (should be
	  the socket of the conversation) to allow protocol plugins that
	  support having more than one user in a conversation. MSN utilizes
	  this. We can't add users to the conversation from Licq, but can
	  see and communicate with them if a remote user adds someone.
	  There are a few crashes I believe.. please find them and report
	  them to the list :)

2004-11-17 13:20  dreamforce2

	* plugins/qt-gui/src/: userbox.cpp, userbox.h: - extended icons in
	  the userbox should not statically use column 1 but instead appear
	  next to the users alias, regardless of which column this is. this
	  also makes is possible to have the users alias appear in several
	  columns, with different alignments and the extended icons appear
	  always in the correct column.

2004-11-16 11:50  dreamforce2

	* plugins/msn/src/: msnpacket.cpp, msnpacket.h: - this has changed
	  in the daemon, update here too.

2004-11-15 14:37  dreamforce2

	* include/licq_chat.h, include/licq_events.h,
	  include/licq_filetransfer.h, include/licq_icqd.h,
	  include/licq_message.h, include/licq_packets.h,
	  include/licq_user.h, src/icqd-srv.cpp, src/icqd-tcp.cpp,
	  src/icqd-threads.cpp, src/icqd-udp.cpp, src/icqd.cpp,
	  src/icqevent.cpp, src/icqpacket.cpp, src/message.cpp,
	  src/user.cpp: - fix bug 870794. Direct messages between 64/32-bit
	  machines did not work properly due to different length of
	  "unsigned long" on 32/64-bit machines (used for message sequence
	  numbers). The ICQ protocol does only use 2-byte sequence numbers,
	  but licq did use unsigned long (4/8-byte) internally. One result
	  of this bug was, that ACK packets could not be associated to the
	  corresponding event. The fix is to use "unsigned short" for
	  sequence numbers internally.

2004-11-15 10:40  dreamforce2

	* src/licq.cpp: - minor output formatting update.

2004-11-11 07:48  dreamforce2

	* plugins/qt-gui/src/: userbox.cpp, userbox.h: - fix bug 945119,
	  icons were displayed on top of the text when col-alignment was
	  right or center.  - code cleanups, remove old QT < 3 stuff.

2004-11-09 21:42  dreamforce2

	* plugins/qt-gui/src/mlview3.cpp: -fix bug 1047491. Don't append
	  garbage at the end of an url if it is followed by a linefeed.

2004-11-09 15:07  dreamforce2

	* src/user.cpp: - fix bug 1060426. Gracefully quit instead of crash
	  if we cannot correctly parse users.conf.

2004-11-09 13:18  dreamforce2

	* plugins/qt-gui/po/Makefile.am: - fix bug 1060439. Don't delete
	  *.qm files with "make clean", use "make maintainer-clean"
	  instead.

2004-11-09 12:50  dreamforce2

	* share/Makefile.am: - fix bug 1060461. Don't use DIST_SUBDIRS
	  here, it would be called by exactly 3 automake targets, but we
	  use none of them.

2004-11-05 12:18  dreamforce2

	* admin/config.guess, admin/config.sub, admin/ltmain.sh,
	  plugins/auto-reply/admin/config.guess,
	  plugins/auto-reply/admin/config.sub,
	  plugins/auto-reply/admin/ltmain.sh,
	  plugins/console/admin/config.guess,
	  plugins/console/admin/config.sub,
	  plugins/console/admin/ltmain.sh,
	  plugins/email/admin/config.guess, plugins/email/admin/config.sub,
	  plugins/email/admin/ltmain.sh, plugins/qt-gui/admin/config.guess,
	  plugins/qt-gui/admin/config.sub, plugins/qt-gui/admin/ltmain.sh,
	  plugins/rms/admin/config.guess, plugins/rms/admin/config.sub,
	  plugins/rms/admin/ltmain.sh, plugins/msn/admin/config.guess,
	  plugins/msn/admin/config.sub, plugins/msn/admin/ltmain.sh: -
	  update libtool to 1.5.8

2004-11-02 14:21  dreamforce2

	* plugins/console/src/console.cpp: - fix userlist overlapping the
	  message box.	this fixes SF-bug 1047281.

2004-11-02 14:14  dreamforce2

	* plugins/console/configure.in: oops, wrong place.

2004-10-31 08:55  dreamforce2

	* src/: icqd-srv.cpp, icqd-udp.cpp, user.cpp: - minor updates:
	  owner.uin -> owner.Licq

2004-10-14 16:52  daywalker

	* plugins/console/: acconfig.h, configure.in: fix compilation

2004-10-14 16:51  daywalker

	* plugins/: rms/configure.in, auto-reply/configure.in: *sigh*

2004-10-14 16:41  daywalker

	* acinclude.m4.in: missed that one

2004-10-14 16:24  daywalker

	* plugins/auto-reply/acconfig.h: go away

2004-10-14 16:21  daywalker

	* plugins/rms/acconfig.h: go away

2004-10-14 16:16  daywalker

	* plugins/qt-gui/acinclude.m4.in: fix compile

2004-10-14 16:12  daywalker

	* admin/acinclude.m4.in, plugins/auto-reply/admin/acinclude.m4.in,
	  plugins/console/admin/acinclude.m4.in,
	  plugins/email/admin/acinclude.m4.in,
	  plugins/qt-gui/admin/acinclude.m4.in,
	  plugins/rms/admin/acinclude.m4.in,
	  plugins/msn/admin/acinclude.m4.in: unbreak compilation

2004-10-14 11:33  dreamforce2

	* plugins/qt-gui/src/ownermanagerdlg.cpp: - support empty passwords
	  in ownermanager.

2004-10-10 16:41  dreamforce2

	* plugins/qt-gui/src/: ownermanagerdlg.cpp, ownermanagerdlg.h: -
	  fix a crash - fix enabling/disabling gui items - make it possible
	  to select a owner-item with the keyboard

2004-10-10 15:35  dreamforce2

	* plugins/qt-gui/src/: awaymsgdlg.cpp, mainwin.cpp,
	  randomchatdlg.cpp, securitydlg.cpp, usereventdlg.cpp,
	  userinfodlg.cpp, userselectdlg.cpp, wharf.cpp: - don't crash if
	  we have no owner!

2004-10-09 10:23  emostar

	* plugins/qt-gui/src/userbox.cpp: Disable the Main Window typing
	  notification for other protocols.

	  MSN would require a timer for each user that types, since it
	  doesn't notify when the user has stopped typing. This would add a
	  large amount of overhead to the Qt-GUI, which is not worth it.
	  Perhaps a different method can be done (i.e. Automatically open a
	  window from the user) in the future.

2004-10-08 13:34  emostar

	* plugins/msn/src/: Makefile.am, msn-sb.cpp, msn-srv.cpp,
	  msn-ssl.cpp, msn.cpp, msn.h: Break up the monster sized msn.cpp
	  into 4 files.

2004-10-08 01:46  emostar

	* plugins/msn/src/msn.cpp: Don't send messages to offline users.
	  Next step is to add a timer to timeout messages that don't get
	  acked.

2004-10-07 22:51  emostar

	* plugins/qt-gui/src/wharf.cpp: Don't crash if an owner isn't
	  available.

2004-10-07 07:39  dreamforce2

	* plugins/qt-gui/src/mainwin.cpp: - don't crash on opening the
	  "about" box when we have no owner.

2004-10-07 06:42  emostar

	* plugins/console/src/: console.cpp, console.h, console_print.cpp:
	  Patch by Philip:

	   - fixes a segfault which happened for me when a MSN user with a
	  really long id was added to my list.	 - removes newlines that
	  was added to every message sent as a result of hitting enter
	  before the '.'

2004-10-06 23:04  emostar

	* post-install: Don't need this anymore

2004-10-04 17:16  emostar

	* plugins/qt-gui/src/usereventdlg.cpp: Don't show the new messages
	  twice if showing recent messages is set.

2004-10-02 16:58  emostar

	* configure.in, plugins/qt-gui/configure.in: New devel version
	  1.3.1

2004-10-02 16:01  emostar

	* plugins/qt-gui/share/qt-gui/extended.icons.basic/: basic.icons,
	  pixTyping.xpm: Typing icon update.

2004-10-02 15:59  emostar

	* plugins/qt-gui/src/xpm/pixTyping.xpm: New typing pixmap  these
	  were from Dima's original patch. Just now being included..

2004-10-02 15:57  emostar

	* plugins/qt-gui/src/: mainwin.cpp, mainwin.h, skinbrowser.cpp,
	  userbox.cpp, userbox.h: Add a typing notification icon to the
	  main window.

2004-10-02 15:13  emostar

	* plugins/qt-gui/src/: mainwin.cpp, mainwin.h, optionsdlg.cpp,
	  optionsdlg.h, usereventdlg.cpp: Add a new option, we can now see
	  the 5 most recent messages when we open a new window to a user
	  with Chatmode Message style on.

2004-10-01 07:05  dreamforce2

	* plugins/console/configure.in: - include download location for
	  CDK.

2004-10-01 04:54  emostar

	* upgrade/: UPGRADE, upgrade-1.3.0.sh: Not needed anymore

